#!/bin/bash

if [ "$#" -lt 2 ] ; then
    echo 'Usage: $0 <seed> <eleve> [root]'
    echo '<seed>: seed directory'
    echo '<eleve>: home directory'
    echo '[root]: unused. Please dont try to feed it! You have been warned.'
    exit 1
fi

seed=$1
eleve=$2
root=$3

mkdir -p enonces/$eleve prof/$eleve

function ex1() {
#cd quelque part et touch un fichier

    folder=$(head -n 1 $seed/$eleve/folders.seed)
    
    echo -e "\tEXERCICE 1\n\nRends-toi dans le dossier $folder et crée un fichier dont le nom est ton prénom (avec une majuscule au début, et des tirets à la place des espaces).\n\tEx: $folder/Jean-claude" > enonces/$eleve/ex1.txt
    
    echo -e "#!/bin/bash \nls $folder | grep -i $eleve ; exit \$?" > prof/$eleve/ex1.sh
}

function ex2() {
#cd quelque part, ls et touch un fichier

    folder=$(head -n 2 $seed/$eleve/folders.seed | tail -n 1)
    int=$(head -n 1 $seed/$eleve/ints.seed)
    
    echo -e "\tEXERCICE 2\n\nRends-toi dans le dossier $folder.\nListe les fichiers présents.\nCrée le fichier qui continue la suite logique.\n\tEx: 1.txt 2.txt 3.txt" > enonces/$eleve/ex2.txt
    
    for i in $(seq 1 $int) ; do
        touch $folder/$i.txt
    done
    
    ((i=int+1))
    
    echo -e "#!/bin/bash \nls $folder | grep -i $i.txt ; exit \$?" > prof/$eleve/ex2.sh
}

function ex3()  {
    
    folder=$(head -n 3 $seed/$eleve/folders.seed | tail -n 1)
    filename=$(head -n 1 $seed/$eleve/filenames.seed) ;
    folder2=$(head -n 4 $seed/$eleve/folders.seed | tail -n 1)
    filename2=$(head -n 2 $seed/$eleve/filenames.seed | tail -n 1)
    
    echo -e "Va créer un fichier $filename.txt dans le dossier $folder." > $folder2/$filename2
    
    echo -e "Suis les instructions du fichier $folder2/$filename2" > enonces/$eleve/ex3.txt
    
    echo -e "#!/bin/bash \nls $folder | grep -i $filename ; exit \$?" > prof/$eleve/ex3.sh
}

ex1
ex2
ex3






